- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FUObjectType Class Reference
[Utility Classes.]

An object type. More...

`#include <FUObjectType.h>`

List of all members.

## Public Member Functions
| FUObjectType (const char *typeName)
| [INTERNAL] Constructor: do not use directly.
| FUObjectType (const FUObjectType &parent, const char *typeName)
| [INTERNAL] Constructor: do not use directly.
const FUObjectType & | GetParent () const
| Retrieves the type of the down-class.
bool | Includes (const FUObjectType &otherType) const
| Retrieves whether this object type includes a given object type.
bool | operator== (const FUObjectType &otherType) const
| Retrieves whether a given object type is equivalent to this object type.
bool | operator!= (const FUObjectType &otherType) const
| Retrieves whether a given object type is different from this object type.
const char * | GetTypeName () const
| Retrieves the object type name.

## Detailed Description

An object type.

Used for RTTI-purpose and to easily allow up-classing of objects. Every object class should have one object type has a static member and available through the virtual FUObject::GetObjectType function. All FUObject up-classes should use the DeclareObjectType macro.

## Constructor & Destructor Documentation

FUObjectType::FUObjectType | ( | const char * | typeName | ) |

  | [INTERNAL] Constructor: do not use directly. Only the FUObject class should use this constructor. All other class object types should use the constructor below. Use neither constructor directly: use the ImplementObjectType macro. Parameters:
  | typeName | The name of type. Used only in debug builds for debugging purposes.

FUObjectType::FUObjectType | ( | const FUObjectType & | parent,
|  | const char * | typeName
| ) |

  | [INTERNAL] Constructor: do not use directly. Use the ImplementObjectType macro. Parameters:
  | parent | The parent class object type.
  | typeName | The name of type. Used only in debug builds for debugging purposes.

## Member Function Documentation

const FUObjectType& FUObjectType::GetParent | ( |  | ) | const`[inline]`

| Retrieves the type of the down-class. Returns: The type of the down-class. The FUObject class will return itself as the parent, so be careful when looping down.

const char* FUObjectType::GetTypeName | ( |  | ) | const`[inline]`

| Retrieves the object type name. Returns: The object type name.

bool FUObjectType::Includes | ( | const FUObjectType & | otherType | ) | const

  | Retrieves whether this object type includes a given object type. This function allows you to verify if this object type is of a given object type or some up-class of the given object type. You should use this comparison function before up-casting an object. Parameters:
  | otherType | A second object type.
Returns: Whether this object type includes the given object type.

bool FUObjectType::operator!= | ( | const FUObjectType & | otherType | ) | const`[inline]`

  | Retrieves whether a given object type is different from this object type. Parameters:
  | otherType | A second object type.
Returns: Whether the two object type are different.

bool FUObjectType::operator== | ( | const FUObjectType & | otherType | ) | const`[inline]`

  | Retrieves whether a given object type is equivalent to this object type. Parameters:
  | otherType | A second object type.
Returns: Whether the two object types are equivalent.

The documentation for this class was generated from the following file:

- FUtils/FUObjectType.h